if exist IMM_Lint/proj_files.lnt goto end

@REM Read the device name from .cproject file
for /f "tokens=* delims=>" %%1 in ('%windir%/system32/FIND.exe "value=""XMC" .cproject') do set str=%%1

for /f "tokens=1,2,3 delims==" %%1 in ("%str%") do set str=%%3

call set "str=%%str:/=%%"
set str
set str=%str:>=%
set str
set str=%str:"=%
set str

echo #ifndef IMM_LINT_IMM_LINT_H >IMM_Lint/IMM_LINT.h
echo #define IMM_LINT_IMM_LINT_H >>IMM_Lint/IMM_LINT.h
echo. >>IMM_Lint/IMM_LINT.h
echo #ifndef _STDBOOL_H >>IMM_Lint/IMM_LINT.h
echo #define _STDBOOL_H >>IMM_Lint/IMM_LINT.h
echo #define bool	uint8_t >>IMM_Lint/IMM_LINT.h
echo #define true	1U >>IMM_Lint/IMM_LINT.h
echo #define false	0U >>IMM_Lint/IMM_LINT.h
echo /* Signal that all the definitions are present.  */ >>IMM_Lint/IMM_LINT.h
echo #define __bool_true_false_are_defined	1 >>IMM_Lint/IMM_LINT.h
echo #endif	/* stdbool.h */ >>IMM_Lint/IMM_LINT.h
echo #define %str% >>IMM_Lint/IMM_LINT.h
echo #include ^<Dave.h^> >>IMM_Lint/IMM_LINT.h
echo #endif /* IMM_LINT_IMM_LINT_H */ >>IMM_Lint/IMM_LINT.h


@REM Change to the dave generated directory
cd Dave/Generated

@REM Add default content
@REM echo //-dXMC4500_F144x1024=  //Setting the device name > "../../IMM_Lint/proj_files.lnt" 
echo /*Include paths of all the APPs used*/ > "../../IMM_Lint/proj_files.lnt"

@REM Write the path to all generated folders
for /D %%A IN (*) DO (
echo -i%%PROJ_PATH%%\Dave\Generated\%%A >> "../../IMM_Lint/proj_files.lnt"
)

@REM Option to change warning level. 
echo //3- All messages 2- Errors and warnings  1- Errors  0- No message  >> "../../IMM_Lint/proj_files.lnt" 
echo -w3 >> "../../IMM_Lint/proj_files.lnt" 

@REM Uncomment this code to disable identifier clash messages
echo //-e621  //Identifier clash >> "../../IMM_Lint/proj_files.lnt" 
echo: >> "../../IMM_Lint/proj_files.lnt" 

@REM Create RSM list file
@REM type NUL > "../../rsm_files.lst"

@REM Sample for MISRA checking a .c file
for /D %%A IN (*) DO (
echo -u "%%PROJ_PATH%%\Dave\Generated\%%A\%%A.c" >> "../../IMM_Lint/proj_files.lnt" 

@REM write .c file names for RSM
@REM echo Dave\Generated\%%A\%%A.c >> "../../rsm_files.lst"
pause
)
cd ../../

:end

@REM echo >output.htm
@REM "%RSM_PATH%\rsm.exe" -H -O"output.htm" -c -fd -F"%cd%\rsm_files.lst" 

@REM "C:\Program Files\Internet Explorer\iexplore.exe" "%cd%\output.htm"

@REM Start the lint bat file
%1 %2 %3
