@rem The arguments for this batch file: 
@rem %1: The path to the project folder
@rem %2: The path to the ARM-GCC-HOME folder
@rem ------------------------------------------------------
@rem Path to my project folder
SET PROJ_PATH=%1
@rem Path to ARM-GCC-HOME folder (which is e.g. "C:\DAVEv4\DAVE-4.0.0\eclipse\ARM-GCC-49")
SET CW_PATH=%2
@rem Path to lint-nt.exe
SET LINT_EXE=%PROJ_PATH%\IMM_Lint\bin\lint-nt.exe
@rem Path to my lint configuration files
SET LOCAL_LNT_FILES=%PROJ_PATH%\IMM_Lint
@rem Path to my local lint folder inside the project
SET PROJ_LINT_PATH=%PROJ_PATH%\IMM_Lint
@rem Lint configuration files and includes
SET LNT_INCLUDES=-i"%LOCAL_LNT_FILES%" %LOCAL_LNT_FILES%\bin\std.lnt -i%LOCAL_LNT_FILES%
@rem --------------- Run PC-lint ---------------------------
%LINT_EXE% "%LOCAL_LNT_FILES%\bin\std.lnt" %PROJ_LINT_PATH%\proj_files.lnt -vf
%LINT_EXE% -os(misra.out) "%LOCAL_LNT_FILES%\bin\std.lnt" %PROJ_LINT_PATH%\proj_files.lnt -vf
del  "%PROJ_PATH%\misra_analysis_*.pdf"
@rem C:\Python27\MISRA_Analyzer.py %PROJ_PATH%\misra.out
